<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     Seller_Itemexhibit_Untrans
 * @author      FUCO M.Kanda
 * @access      public
 */
class Seller_Itemexhibit_Untrans_Confirm
{

    var $preaction;
    var $prepreaction;
    var $check;

    var $checklist;
    var $orderrow;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Untrans_Confirmが実行されました", "Seller_Itemexhibit_Untrans_Confirm#execute");

        if(count($this->checklist) <= 0) return "nocheck";
        return 'success';
    }
    
    function getPreaction()
    {
        return $this -> preaction;
    }

    function setPreaction($preaction)
    {
        $this -> preaction = $preaction;
    }
    
    function getPrepreaction()
    {
        return $this -> prepreaction;
    }

    function setPrepreaction($prepreaction)
    {
        $this -> prepreaction = $prepreaction;
    }
    
    function getCheck()
    {
        return $this -> check;
    }
    
    function setCheck($check)
    {
        $this -> check = $check;
    }
    
    function getOrderrow()
    {
        return $this -> orderrow;
    }

    function setOrderrow($orderrow)
    {
        $this -> orderrow = $orderrow;
    }
    
    function getCheckList()
    {
	    return $this -> checklist;
    }

    function setCheckList($checklist)
    {
	    $this -> checklist = $checklist;
    }
}
?>
